﻿/**Begin D:\工作记录\制造\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMPD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_TOTHERCOST') 
 CREATE TABLE T_PMPS_TOTHERCOST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOTHERKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTPROJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOTHERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_PJHMRESPL') 
 CREATE TABLE T_PMBD_PJHMRESPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FPMBDPRODUCT BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_PJHMRESPL_L') 
 CREATE TABLE T_PMBD_PJHMRESPL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_PJHMRESPLADMIN') 
 CREATE TABLE T_PMBD_PJHMRESPLADMIN (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_PJHMRESPLRO') 
 CREATE TABLE T_PMBD_PJHMRESPLRO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER INT DEFAULT 0 NOT NULL,
FROLECREATER BIGINT DEFAULT 0 NOT NULL,
FROLECREATEDATE DATETIME,
FROLEMODIFIER BIGINT DEFAULT 0 NOT NULL,
FROLEMODIFYDATE DATETIME,
FREQUIREMENTSTARTTIME DATETIME,
FREQUIREMENTENDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_PJHMRESPLROAD') 
 CREATE TABLE T_PMBD_PJHMRESPLROAD (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_PJHMRESPLROPE') 
 CREATE TABLE T_PMBD_PJHMRESPLROPE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTERPRISEHMRESPO BIGINT DEFAULT 0 NOT NULL,
FROLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESIGNATEDPERSON CHAR(1) DEFAULT '0' NOT NULL,
FDISTRIBUTIONPERSON BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONCREATER BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONCREATEDATE DATETIME,
FDISTRIBUTIONMODIFIER BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONMODIFYDATE DATETIME,
FDISTRIBUTIONDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPROVAL') 
 CREATE TABLE T_PMPD_APPROVAL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FEPSID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FPJMANAGERID BIGINT DEFAULT 0 NOT NULL,
FPJMGLEVEL NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRESBALLEVEL INT DEFAULT 0 NOT NULL,
FEXPSTARTDATE DATETIME,
FEXPFINSHDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FESTREVAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTCOSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPJTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCSYS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBASISID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELATBILLID BIGINT DEFAULT 0 NOT NULL,
FPJNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPROVAL_ENTRY') 
 CREATE TABLE T_PMPD_APPROVAL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FPROJECT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPROVAL_L') 
 CREATE TABLE T_PMPD_APPROVAL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTTEAM') 
 CREATE TABLE T_PMPD_PROJECTTEAM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FPMPDPROJECT BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTTEAM_L') 
 CREATE TABLE T_PMPD_PROJECTTEAM_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTTEAM_PE') 
 CREATE TABLE T_PMPD_PROJECTTEAM_PE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTERPRISEHMRESPO BIGINT DEFAULT 0 NOT NULL,
FADDTEAMDATA DATETIME,
FLEAVETEAMDATA DATETIME,
FISMAIN CHAR(1) DEFAULT '0' NOT NULL,
FMEMBERSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCOMMUNICATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FROLE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTTEAM_TM') 
 CREATE TABLE T_PMPD_PROJECTTEAM_TM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTEAMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTEAMDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTTEAM_TM_AD') 
 CREATE TABLE T_PMPD_PROJECTTEAM_TM_AD (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BFOLLOWMODEL') 
 CREATE TABLE T_PMPS_BFOLLOWMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FFOLLOWUPPERIOD NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BFOLLOWMODEL_L') 
 CREATE TABLE T_PMPS_BFOLLOWMODEL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BFOLLOWMODELENTRY') 
 CREATE TABLE T_PMPS_BFOLLOWMODELENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFOLLOWUPCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSSTAGE BIGINT DEFAULT 0 NOT NULL,
FFOLLOWUSER BIGINT DEFAULT 0 NOT NULL,
FFOLLOWUPCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BISCETOTAL') 
 CREATE TABLE T_PMPS_BISCETOTAL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FESTIMATECONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FESTIMATECOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTDATACOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTARTIFICIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTEQUIPMENTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTEXTPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTHERDIRECTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEBILLNOID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BISCOSTE') 
 CREATE TABLE T_PMPS_BISCOSTE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOFFERPLANID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNOID BIGINT DEFAULT 0 NOT NULL,
FEXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPCONFIGVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOMNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDATACOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARTIFICIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEQUIPMENTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERDIRECTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BISFOLLOW') 
 CREATE TABLE T_PMPS_BISFOLLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BISINFOENTITY') 
 CREATE TABLE T_PMPS_BISINFOENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINFOENTITYMATERIAL BIGINT DEFAULT 0 NOT NULL,
FINFOENTITYBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FINFOENTITYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINFOENTITYCURRENCY BIGINT DEFAULT 0 NOT NULL,
FINFOENTITYPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINFOENTITYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BISOFFER') 
 CREATE TABLE T_PMPS_BISOFFER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSID BIGINT DEFAULT 0 NOT NULL,
FOFFERPLANID BIGINT DEFAULT 0 NOT NULL,
FOFFEREXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATACOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARTIFICIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEQUIPMENTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERDIRECTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINDIRECTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINDIRECPER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROSSPROFIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROSSPROFITPER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXATIONPER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FMANAGEORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BOTEAM') 
 CREATE TABLE T_PMPS_BOTEAM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FDPTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BOTEAM_L') 
 CREATE TABLE T_PMPS_BOTEAM_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BSMANAGE') 
 CREATE TABLE T_PMPS_BSMANAGE (
FAUDITDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBFLAG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FBUSINESSKINDID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSLEVELID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSMID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBUSINESSPNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSSTAGEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FCOMPLETEDWORKPLAN INT DEFAULT 0 NOT NULL,
FCONTACTS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTSNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FEXPECTPBUDGET DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTPSTARTDATE DATETIME,
FID BIGINT DEFAULT 0 NOT NULL,
FLINEMANAGERID BIGINT DEFAULT 0 NOT NULL,
FLONGSDATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMAXCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXOFFER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINOFFER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPCONFIGSINGULAR INT DEFAULT 0 NOT NULL,
FPRODUCTCONFIGNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREGISTERDATE DATETIME,
FREGISTERORGID BIGINT DEFAULT 0 NOT NULL,
FREGISTERPID BIGINT DEFAULT 0 NOT NULL,
FREQUIREDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIEWERID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSELFSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FSHORTSDATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCECLUESID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FWINPROBABILITY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKPLAN INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BSMANAGE_L') 
 CREATE TABLE T_PMPS_BSMANAGE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREQUIREDESC NVARCHAR(512) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BTASKREPORT')
 CREATE TABLE T_PMPS_BTASKREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREPORTDATE DATETIME,
FBUSINESSID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTASKID BIGINT DEFAULT 0 NOT NULL,
FRESPONSPERSONID BIGINT DEFAULT 0 NOT NULL,
FACTUALSTARTDATE DATETIME,
FACTUALENDDATE DATETIME,
FPERCENTAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSLEVEL') 
 CREATE TABLE T_PMPS_BUSINESSLEVEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSLEVEL_L') 
 CREATE TABLE T_PMPS_BUSINESSLEVEL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSSTAGE') 
 CREATE TABLE T_PMPS_BUSINESSSTAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSSTAGE_L') 
 CREATE TABLE T_PMPS_BUSINESSSTAGE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSSTAGEENTRY') 
 CREATE TABLE T_PMPS_BUSINESSSTAGEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTAGENAME BIGINT DEFAULT 0 NOT NULL,
FUPDATETYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FEVENTSRELATED NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSSTRATEGY') 
 CREATE TABLE T_PMPS_BUSINESSSTRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSSTRATEGY_L') 
 CREATE TABLE T_PMPS_BUSINESSSTRATEGY_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSTYPE') 
 CREATE TABLE T_PMPS_BUSINESSTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSTYPE_L') 
 CREATE TABLE T_PMPS_BUSINESSTYPE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSINESSTYPEENTRY') 
 CREATE TABLE T_PMPS_BUSINESSTYPEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUSINESSTYPENUMBER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSITASK') 
 CREATE TABLE T_PMPS_BUSITASK (
    FACTUALENDDATE DATETIME ,
    FACTUALSTARTDATE DATETIME ,
    FAUDITDATE DATETIME ,
    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
    FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FBITINDEX INT DEFAULT 0 NOT NULL,
    FBUSINESSID BIGINT DEFAULT 0 NOT NULL,
    FBUSISTAGEID BIGINT DEFAULT 0 NOT NULL,
    FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
    FCREATETIME DATETIME ,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
    FDELIVERABLES NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FDELIVERABLES_TAG NCLOB DEFAULT ' ',
    FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FMODIFYTIME DATETIME ,
    FORGID BIGINT DEFAULT 0 NOT NULL,
    FORGRESPONSID BIGINT DEFAULT 0 NOT NULL,
    FPERCENTAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPERFORMSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
    FPLANENDDATE DATETIME ,
    FPLANSTARTDATE DATETIME ,
    FRESPONSPERSONID BIGINT DEFAULT 0 NOT NULL,
    FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
    FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
    FTASKDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FTASKDESCRIBE_TAG NCLOB DEFAULT ' ',
    FUPTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_BUSITASK_L') 
 CREATE TABLE T_PMPS_BUSITASK_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUEMANAGE') 
 CREATE TABLE T_PMPS_CLUEMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCUSTNAME BIGINT DEFAULT 0 NOT NULL,
FCLUERESOURCE BIGINT DEFAULT 0 NOT NULL,
FCONTACTOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLUEMANAGER BIGINT DEFAULT 0 NOT NULL,
FBUDGET DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FCLUESTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSALEORG BIGINT DEFAULT 0 NOT NULL,
FBUSINESSMANAGER BIGINT DEFAULT 0 NOT NULL,
FBUSINESSKIND BIGINT DEFAULT 0 NOT NULL,
FBUSINESSLEVEL BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSPECIALLOGO CHAR(1) DEFAULT '0' NOT NULL,
FPRECLUESTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FCUSTTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCUSTBIGNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUEMANAGE_L') 
 CREATE TABLE T_PMPS_CLUEMANAGE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLUEDESCRIBE NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUEMANAGER') 
 CREATE TABLE T_PMPS_CLUEMANAGER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FMANAGERNUMBER BIGINT DEFAULT 0 NOT NULL,
FDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUEMANAGER_L') 
 CREATE TABLE T_PMPS_CLUEMANAGER_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUEMANAGERKIND') 
 CREATE TABLE T_PMPS_CLUEMANAGERKIND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUEMANAGERKIND_L') 
 CREATE TABLE T_PMPS_CLUEMANAGERKIND_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUERESOURCE') 
 CREATE TABLE T_PMPS_CLUERESOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSERORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FTEXTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CLUERESOURCE_L') 
 CREATE TABLE T_PMPS_CLUERESOURCE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_COMPETEINFO') 
 CREATE TABLE T_PMPS_COMPETEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRIVALNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FESCALE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPCATEGORY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIFANALYSIS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_CONTRACT') 
 CREATE TABLE T_PMPS_CONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNDATE DATETIME,
FSIGNCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSIGNAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_DEVICECOST') 
 CREATE TABLE T_PMPS_DEVICECOST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEVICEKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVICENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVICENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVICEHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FDEVICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEVICEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEVICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERDEVICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERDEVICEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDEVICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_EXTPROCOST') 
 CREATE TABLE T_PMPS_EXTPROCOST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOUTKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTMATERIELNOID BIGINT DEFAULT 0 NOT NULL,
FSPMODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTMETERINGUNITID BIGINT DEFAULT 0 NOT NULL,
FOUTPROCESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTREFERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTREFERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTREFERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_FDETAIL') 
 CREATE TABLE T_PMPS_FDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUSINESSJDID BIGINT DEFAULT 0 NOT NULL,
FPLANDATE DATETIME,
FACTUALDATE DATETIME,
FACCORDINGCONTENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FACCORDINGPERSONID BIGINT DEFAULT 0 NOT NULL,
FANALYSISDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_MANMADECOST') 
 CREATE TABLE T_PMPS_MANMADECOST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FRNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERRNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREFERRPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERRAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_MATERCOST') 
 CREATE TABLE T_PMPS_MATERCOST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FWKIND NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMATERIELNOID BIGINT DEFAULT 0 NOT NULL,
FSPECIFMODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMETERINGUNITID BIGINT DEFAULT 0 NOT NULL,
FQUANTITY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERQUANTITY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_OFFERPLAN') 
 CREATE TABLE T_PMPS_OFFERPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
FPLANEXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSNOID BIGINT DEFAULT 0 NOT NULL,
FREVIEWERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_OFFERPLAN_L') 
 CREATE TABLE T_PMPS_OFFERPLAN_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_OTHERCOST') 
 CREATE TABLE T_PMPS_OTHERCOST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOTHERKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTPROJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOTHERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_STAGESUBENTRY') 
 CREATE TABLE T_PMPS_STAGESUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUSINESSLEVEL BIGINT DEFAULT 0 NOT NULL,
FFOLLOWUPNUMBER INT DEFAULT 0 NOT NULL,
FFOLLOWUPPERIOD NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_TDCOST') 
 CREATE TABLE T_PMPS_TDCOST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEVICEKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVICENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVICENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVICEHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FDEVICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEVICEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEVICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_TEXTCOST') 
 CREATE TABLE T_PMPS_TEXTCOST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOUTKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSPMODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTMETERINGUNITID BIGINT DEFAULT 0 NOT NULL,
FOUTPROCESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTMATERIELNOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_TMACOST') 
 CREATE TABLE T_PMPS_TMACOST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FWKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIELNOID BIGINT DEFAULT 0 NOT NULL,
FSPECIFMODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMETERINGUNITID BIGINT DEFAULT 0 NOT NULL,
FQUANTITY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPS_TMADECOST') 
 CREATE TABLE T_PMPS_TMADECOST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FRNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\工作记录\制造\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMPD_table.sql **/
