IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_SMLARPJRECS')
CREATE TABLE T_PMPD_SMLARPJRECS
(
  FID              BIGINT         DEFAULT 0    NOT NULL,          
  FBILLNO          NVARCHAR(30)   DEFAULT ' '  NOT NULL, 	
  FBILLSTATUS      NVARCHAR(1)    DEFAULT ' '  NOT NULL, 	
  FCREATORID       BIGINT         DEFAULT 0    NOT NULL,   	
  FMODIFIERID      BIGINT         DEFAULT 0    NOT NULL,  	
  FAUDITORID       BIGINT         DEFAULT 0    NOT NULL,   	
  FAUDITDATE       DATETIME ,                   	
  FMODIFYTIME      DATETIME ,                  	
  FCREATETIME      DATETIME ,                  	
  FORGID           BIGINT         DEFAULT 0    NOT NULL,       	
  FENTITYOBJECTID  NVARCHAR(255)  DEFAULT 0    NOT NULL, 	
  FENTITYNO        NVARCHAR(30)   DEFAULT ' '  NOT NULL, 	
  FENTITYID        BIGINT         DEFAULT 0    NOT NULL,    
  FFILTERALIAS     NVARCHAR(500)  DEFAULT ' '  NOT NULL, 
  FSOURCETYPE      NVARCHAR(5)    DEFAULT ' '  NOT NULL, 	
  FCALBEGINTIME    DATETIME ,                
  FCALENDTIME      DATETIME ,                  	
  FPROJECTORGID    BIGINT         DEFAULT 0    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_SMLARPROJECT')
CREATE TABLE T_PMPD_SMLARPROJECT
(
  FID              BIGINT         DEFAULT 0    NOT NULL,          	
  FENTRYID         BIGINT         DEFAULT 0    NOT NULL,     	
  FSEQ             INT            DEFAULT 0    NOT NULL,            	
  FSCORE           INT            DEFAULT 0    NOT NULL,          	
  FPROJECTID       BIGINT         DEFAULT 0    NOT NULL   	
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_SUBSMLARPRJ')
CREATE TABLE T_PMPD_SUBSMLARPRJ
(
  FENTRYID         BIGINT         DEFAULT 0    NOT NULL,         
  FDETAILID        BIGINT         DEFAULT 0    NOT NULL,    	
  FSEQ             INT            DEFAULT 0    NOT NULL,            	
  FDETIALPROJECTID BIGINT         DEFAULT 0    NOT NULL, 
  FSOURCE          NVARCHAR(5)    DEFAULT ' '  NOT NULL, 	
  FENTITYFIELD     NVARCHAR(80)   DEFAULT ' '  NOT NULL, 	
  FPROJECTFIELD    NVARCHAR(80)   DEFAULT ' '  NOT NULL, 
  FDETIALSCORE     INT            DEFAULT 0    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_SUBSMLARPRJ_L')
CREATE TABLE T_PMPD_SUBSMLARPRJ_L
(
  FPKID            NVARCHAR(255)  DEFAULT ' '   NOT NULL,         
  FDETAILID        BIGINT         DEFAULT 0     NOT NULL,          	
  FLOCALEID        NVARCHAR(255)  DEFAULT ' '   NOT NULL,          
  FELEMENTNAME     NVARCHAR(255)  DEFAULT ' '   NOT NULL
);

