IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CALCSMLPLOG')
CREATE TABLE T_PMPD_CALCSMLPLOG
(
	  FID                  BIGINT           DEFAULT 0      NOT NULL,          
	  FNAME                NVARCHAR(50)     DEFAULT ' '    NOT NULL, 
	  FNUMBER              NVARCHAR(30)     DEFAULT ' '    NOT NULL, 	
	  FSTATUS              NVARCHAR(1)      DEFAULT ' '    NOT NULL, 	
	  FCREATORID           BIGINT           DEFAULT 0      NOT NULL, 
	  FMODIFIERID          BIGINT           DEFAULT 0      NOT NULL,  	
	  FENABLE              NVARCHAR(1)      DEFAULT ' '    NOT NULL, 	
	  FCREATETIME          DATETIME ,                  
	  FMODIFYTIME          DATETIME ,                  
	  FMASTERID            BIGINT           DEFAULT 0      NOT NULL,    
	  FSIMILARPROJCTID     BIGINT           DEFAULT 0      NOT NULL, 	
	  FENTITYOBJECTID      NVARCHAR(255)    DEFAULT ' '    NOT NULL, 	
	  FCALSTATUS           NVARCHAR(5)      DEFAULT ' '    NOT NULL, 	
	  FPROJECTORGID        BIGINT           DEFAULT 0      NOT NULL, 	
	  FCREATEORGID         BIGINT           DEFAULT 0      NOT NULL, 	
	  FCALCULATEPRO        DECIMAL(23,10)   DEFAULT 0      NOT NULL, 	
	  FSTARTTIME           DATETIME ,                   	
	  FENDTIME             DATETIME ,                     
	  FTOTALCOST           DECIMAL(23,10)   DEFAULT 0     NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CALCSMLPLOG_L')
CREATE TABLE T_PMPD_CALCSMLPLOG_L
(
      FPKID               NVARCHAR(255)     DEFAULT ' '    NOT NULL,         
      FID                 BIGINT            DEFAULT 0      NOT NULL,         
      FLOCALEID           NVARCHAR(255)     DEFAULT ' '    NOT NULL,          	
      FNAME               NVARCHAR(50)      DEFAULT ' '    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CALCSPLOGENTRY')
CREATE TABLE T_PMPD_CALCSPLOGENTRY
(
	  FID                 BIGINT            DEFAULT 0      NOT NULL,         
	  FENTRYID            BIGINT            DEFAULT 0      NOT NULL,     
	  FSEQ                INT               DEFAULT 0      NOT NULL,            	
	  FBILLNO             NVARCHAR(30)      DEFAULT ' '    NOT NULL, 	
	  FCOST               DECIMAL(23,10)    DEFAULT 0      NOT NULL, 	
	  FITEMSTATUS         NVARCHAR(5)       DEFAULT ' '    NOT NULL, 
	  FCALRESULT          NVARCHAR(30)      DEFAULT ' '    NOT NULL, 	
	  FCALRESULTID        NVARCHAR(50)      DEFAULT ' '    NOT NULL, 	
	  FENTITYID           NVARCHAR(50)      DEFAULT ' '    NOT NULL, 	
	  FTASKID             NVARCHAR(50)      DEFAULT ' '    NOT NULL
);



