 EXEC P_ALTERPK 'PK_PMPD_PROJECT_MEETING', 'T_PMPD_PROJECT_MEETING', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PROMEETING_FBILLNO') CREATE INDEX IDX_PMPD_PROMEETING_FBILLNO ON T_PMPD_PROJECT_MEETING ( FBILLNO );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PROMEETING_FCT') CREATE INDEX IDX_PMPD_PROMEETING_FCT ON T_PMPD_PROJECT_MEETING ( FCREATETIME );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PROMEETING_FORGID') CREATE INDEX IDX_PMPD_PROMEETING_FORGID ON T_PMPD_PROJECT_MEETING ( FORGID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PROMEETING_FPROID') CREATE INDEX IDX_PMPD_PROMEETING_FPROID ON T_PMPD_PROJECT_MEETING ( FPROJECTID );
 

 EXEC P_ALTERPK 'PK_PMPD_MEET_CCUSER', 'T_PMPD_MEET_CCUSER', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_MEETCCUSER_FID') CREATE INDEX IDX_PMPD_MEETCCUSER_FID ON T_PMPD_MEET_CCUSER ( FID );
 

 EXEC P_ALTERPK 'PK_PMPD_MEET_ABSENT', 'T_PMPD_MEET_ABSENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_MEET_ABSENT_FS') CREATE INDEX IDX_PMPD_MEET_ABSENT_FS ON T_PMPD_MEET_ABSENT ( FID ,FSEQ );
 


 EXEC P_ALTERPK 'PK_PMPD_MEET_RISKMATTER', 'T_PMPD_MEET_RISKMATTER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_MEET_RISKMATTER_FS') CREATE INDEX IDX_PMPD_MEET_RISKMATTER_FS ON T_PMPD_MEET_RISKMATTER ( FID ,FSEQ );
 

 
 EXEC P_ALTERPK 'PK_PMPD_MEET_PRIORMATTER', 'T_PMPD_MEET_PRIORMATTER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_MEET_PRIORMATTER_FS') CREATE INDEX IDX_PMPD_MEET_PRIORMATTER_FS ON T_PMPD_MEET_PRIORMATTER ( FID ,FSEQ );
 
 
 
 EXEC P_ALTERPK 'PK_PMPD_MEET_WORKDETAIL', 'T_PMPD_MEET_WORKDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_MEET_WORKDETAIL_FS') CREATE INDEX IDX_PMPD_MEET_WORKDETAIL_FS ON T_PMPD_MEET_WORKDETAIL ( FID ,FSEQ );
 
 
 EXEC P_ALTERPK 'PK_PMPD_MEET_WORKDETAIL_L', 'T_PMPD_MEET_WORKDETAIL_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_MEET_WORKDETAIL_L') CREATE INDEX IDX_PMPD_MEET_WORKDETAIL_L ON T_PMPD_MEET_WORKDETAIL_L ( FENTRYID ,FLOCALEID );
 
EXEC P_ALTERPK 'PK_PMPD_MEET_ATTEND', 'T_PMPD_MEET_ATTEND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_MEET_ATTEND_FS') CREATE INDEX IDX_PMPD_MEET_ATTEND_FS ON T_PMPD_MEET_ATTEND ( FID ,FSEQ );