﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_NOSETOTAIL')
CREATE TABLE T_PMPD_NOSETOTAIL (
		FID           BIGINT        DEFAULT 0    NOT NULL,          
		FNUMBER       NVARCHAR(50)  DEFAULT ' '  NOT NULL,  
		FNAME         NVARCHAR(50)  DEFAULT ' '  NOT NULL,  
		FSTATUS       NVARCHAR(50)  DEFAULT ' '  NOT NULL,   
		FCREATORID    BIGINT        DEFAULT 0    NOT NULL,     
		FMODIFIERID   BIGINT        DEFAULT 0    NOT NULL,    
		FENABLE       NVARCHAR(50)  DEFAULT ' '  NOT NULL, 
		FCREATETIME   DATETIME,                     
		FMODIFYTIME   DATETIME,                      
		FMASTERID     BIGINT        DEFAULT 0    NOT NULL,      
		FCUSTOMERID   BIGINT        DEFAULT 0    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_NOSETOTAIL_L')
CREATE TABLE T_PMPD_NOSETOTAIL_L (
		FPKID         NVARCHAR(36)  DEFAULT ' '  NOT NULL,  
		FID           BIGINT        DEFAULT 0    NOT NULL,          
		FLOCALEID     NVARCHAR(10)  DEFAULT ' '  NOT NULL,   
		FNAME         NVARCHAR(50)  DEFAULT ' '  NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_NOSEENTRY')
CREATE TABLE T_PMPD_NOSEENTRY (
		FID                BIGINT        DEFAULT 0    NOT NULL,   
		FENTRYID           BIGINT        DEFAULT 0    NOT NULL, 
		FSEQ               INT           DEFAULT 0    NOT NULL,  
		FAPPROACHID        BIGINT        DEFAULT 0    NOT NULL, 
		FRESOURCEPLANID    BIGINT        DEFAULT 0    NOT NULL, 
		FPREINTERVALDAYS   NVARCHAR(50)  DEFAULT ' '  NOT NULL, 
		FNEXTINTERVALDAYS  NVARCHAR(50)  DEFAULT ' '  NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_APPROACHENTRY' AND KSQL_COL_NAME ='FISNOSETOTAIL')
 ALTER TABLE T_PMPD_APPROACHENTRY ADD ( FISNOSETOTAIL CHAR(1) DEFAULT '0' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_APPROACHENTRY' AND KSQL_COL_NAME ='FNOSETOTAILID')
 ALTER TABLE T_PMPD_APPROACHENTRY ADD ( FNOSETOTAILID BIGINT DEFAULT 0 NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_APPROACHENTRY' AND KSQL_COL_NAME ='FHEADNO')
 ALTER TABLE T_PMPD_APPROACHENTRY ADD ( FHEADNO NVARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_APPROACHENTRY' AND KSQL_COL_NAME ='FENTRYCUSTOMERID')
 ALTER TABLE T_PMPD_APPROACHENTRY ADD ( FENTRYCUSTOMERID BIGINT DEFAULT 0 NOT NULL );

 
