﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_RESOURCEPLAN' AND KSQL_COL_NAME ='FPLANTPLID')
 ALTER TABLE T_PMPD_RESOURCEPLAN ADD ( FPLANTPLID BIGINT DEFAULT 0 NOT NULL );
 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_RESPL_MILESTONE')
 CREATE TABLE T_PMPD_RESPL_MILESTONE (
	FENTRYID         BIGINT        DEFAULT 0   NOT NULL,        
	FID              BIGINT        DEFAULT 0   NOT NULL,        
	FSEQ             INT           DEFAULT 0   NOT NULL,       
	FMILESTONENAME   NVARCHAR(255) DEFAULT ' ' NOT NULL,       
	FPLANBEGIN       INT           DEFAULT 0   NOT NULL,       
	FPERCENT         DECIMAL(23,2) DEFAULT 0   NOT NULL,     
	FBIZTYPE         NVARCHAR(50)  DEFAULT ' ' NOT NULL,       
	FMITSTARTTIME    DATETIME,       
	FMILESTONEID     BIGINT        DEFAULT 0   NOT NULL    
);

EXEC P_ALTERPK 'PK_PMPD_RESPL_MILESTONE', 'T_PMPD_RESPL_MILESTONE', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESPL_MILESTONE_FID') CREATE INDEX IDX_PMPD_RESPL_MILESTONE_FID ON T_PMPD_RESPL_MILESTONE (FID,FSEQ );


