﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_EXEC_PACK_MANAGE')
CREATE TABLE T_PMPD_EXEC_PACK_MANAGE (
	FID                         BIGINT              DEFAULT 0           NOT NULL,             
    FBILLNO                     NVARCHAR(30)        DEFAULT ' '         NOT NULL,      
    FBILLSTATUS                 NVARCHAR(50)        DEFAULT ' '         NOT NULL,      
    FCREATORID                  BIGINT              DEFAULT 0           NOT NULL,              
    FMODIFIERID                 BIGINT              DEFAULT 0           NOT NULL,            
    FAUDITORID                  BIGINT              DEFAULT 0           NOT NULL,              
    FCREATETIME                 DATETIME,                              
    FMODIFYTIME                 DATETIME,                               
    FAUDITDATE                  DATETIME,                              
    FORGID                      BIGINT              DEFAULT 0           NOT NULL,            
    FCUSTOMERID                 BIGINT              DEFAULT 0           NOT NULL,             
    FEQUIPMENTTYPEID            BIGINT              DEFAULT 0           NOT NULL,             
    FEQUIPMENTID                BIGINT              DEFAULT 0           NOT NULL,            
    FCHECKTYPEID                BIGINT              DEFAULT 0           NOT NULL,            
    FESTIMATEDENTRYTIME         DATETIME                          
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_INTERNAL_JOBCARD')
CREATE TABLE T_PMPD_INTERNAL_JOBCARD (
    FENTRYID                    BIGINT              DEFAULT 0           NOT NULL,              
    FID                         BIGINT              DEFAULT 0           NOT NULL,              
	FSEQ                        INT                 DEFAULT 0           NOT NULL,               
    FJOBNO                      NVARCHAR(50)        DEFAULT ' '         NOT NULL,      
    FJOBCARDID                  BIGINT              DEFAULT 0           NOT NULL,             
    FPROJECTID                  BIGINT              DEFAULT 0           NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_EXEC_WORKPACK')
CREATE TABLE T_PMPD_EXEC_WORKPACK (
    FID                         BIGINT              DEFAULT 0           NOT NULL,              
    FBILLNO                     NVARCHAR(30)        DEFAULT ' '         NOT NULL,      
    FBILLSTATUS                 NVARCHAR(50)        DEFAULT ' '         NOT NULL,      
    FCREATORID                  BIGINT              DEFAULT 0           NOT NULL,              
    FMODIFIERID                 BIGINT              DEFAULT 0           NOT NULL,            
    FAUDITORID                  BIGINT              DEFAULT 0           NOT NULL,              
    FCREATETIME                 DATETIME,                             
    FMODIFYTIME                 DATETIME,                              
    FAUDITDATE                  DATETIME,                               
    FORGID                      BIGINT              DEFAULT 0           NOT NULL,              
    FNAME                       NVARCHAR(50)        DEFAULT ' '         NOT NULL,      
    FCONTRACTNO                 NVARCHAR(50)        DEFAULT ' '         NOT NULL,      
    FPROJECTID                  BIGINT              DEFAULT 0           NOT NULL,              
    FMANAGEID                   BIGINT              DEFAULT 0           NOT NULL,
    FSOURCE                     NVARCHAR(50)        DEFAULT ' '         NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_EXEC_WORKPACK_L')
CREATE TABLE T_PMPD_EXEC_WORKPACK_L (
    FPKID                       NVARCHAR(36)        DEFAULT ' '         NOT NULL,      
    FID                         BIGINT              DEFAULT 0           NOT NULL,             
	FLOCALEID                   NVARCHAR(10)        DEFAULT ' '         NOT NULL,     
    FNAME                       NVARCHAR(50)        DEFAULT ' '         NOT NULL     
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY')
CREATE TABLE T_PMPD_EXEC_PACK_ENTRY (
    FENTRYID                    BIGINT             DEFAULT 0            NOT NULL,             
    FID                         BIGINT             DEFAULT 0            NOT NULL,             
	FSEQ                        INT                DEFAULT 0            NOT NULL,                 
    FJOBNO                      NVARCHAR(50)       DEFAULT ' '          NOT NULL,      
    FJOBCARDID                  BIGINT             DEFAULT 0            NOT NULL,             
    FREMARKS                    NVARCHAR(255)      DEFAULT ' '          NOT NULL,     
    FCREATORID                  BIGINT             DEFAULT 0            NOT NULL,              
    FMODIFIERID                 BIGINT             DEFAULT 0            NOT NULL,              
    FCREATETIME                 DATETIME,                             
    FMODIFYTIME                 DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY_L')
CREATE TABLE T_PMPD_EXEC_PACK_ENTRY_L (
    FPKID                       NVARCHAR(36)       DEFAULT ' '          NOT NULL,     
    FENTRYID                    BIGINT             DEFAULT 0            NOT NULL,             
	FLOCALEID                   NVARCHAR(10)       DEFAULT ' '          NOT NULL,
    FREMARKS                    NVARCHAR(255)      DEFAULT ' '          NOT NULL
);




