﻿
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_FIELDSETTING')
	CREATE TABLE T_PMPD_FIELDSETTING
	(
	  FID            BIGINT              DEFAULT 0   NOT NULL,          	
	  FNUMBER        NVARCHAR(30)        DEFAULT ' ' NOT NULL, 	
	  FAUDITORID     BIGINT              DEFAULT 0   NOT NULL,   	
	  FAUDITTIME     DATETIME ,                   
	  FSTATUS        NVARCHAR(1)         DEFAULT ' ' NOT NULL, 	
	  FCREATORID     BIGINT              DEFAULT 0   NOT NULL,   	
	  FMODIFIERID    BIGINT              DEFAULT 0   NOT NULL,  	
	  FENABLE        NVARCHAR(1)         DEFAULT ' ' NOT NULL, 
	  FCREATETIME    DATETIME ,                  
	  FMODIFYTIME    DATETIME ,                  
	  FMASTERID      BIGINT              DEFAULT 0   NOT NULL,   	
	  FNAME          NVARCHAR(50)        DEFAULT ' ' NOT NULL
	);
	
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_FIELDSETTING_L')
    CREATE TABLE T_PMPD_FIELDSETTING_L
	(
	  FPKID          NVARCHAR(255)       DEFAULT ' ' NOT NULL,         
	  FID            BIGINT              DEFAULT 0   NOT NULL,          
	  FLOCALEID      NVARCHAR(255)       DEFAULT ' ' NOT NULL,          	
	  FNAME          NVARCHAR(50)        DEFAULT ' ' NOT NULL 
	);

  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_FIELDSETENTRY')
    CREATE TABLE T_PMPD_FIELDSETENTRY
	(
	  FID            BIGINT              DEFAULT 0    NOT NULL,          
	  FENTRYID       BIGINT              DEFAULT 0    NOT NULL,     
	  FSEQ           INT                 DEFAULT 0    NOT NULL,            
	  FFIELD         NVARCHAR(255)       DEFAULT ' '  NOT NULL, 	
	  FFIELDNAME     NVARCHAR(255)       DEFAULT ' '  NOT NULL, 	
	  FENTITY        NVARCHAR(255)       DEFAULT ' '  NOT NULL, 	
	  FENTITYNAME    NVARCHAR(255)       DEFAULT ' '  NOT NULL, 	
	  FISRELEASE     CHAR(1)             DEFAULT '0'  NOT NULL 	
	);

  



 








