﻿  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PAGINATION')
	CREATE TABLE T_PMPD_PAGINATION (
		FID                         BIGINT        DEFAULT 0        NOT NULL,  
		FWORKPACKAGEID              BIGINT        DEFAULT 0        NOT NULL,        
		FWORKPACKENTRYID            BIGINT        DEFAULT 0        NOT NULL,         
		FPROJECTID                  BIGINT        DEFAULT 0        NOT NULL,         
		FJOBCARDID                  BIGINT        DEFAULT 0        NOT NULL
	);
	

  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PAGINATION_ENTRY')
	CREATE TABLE T_PMPD_PAGINATION_ENTRY (
		FENTRYID                    BIGINT          DEFAULT 0       NOT NULL,          
		FID                         BIGINT          DEFAULT 0       NOT NULL,            
		FSEQ                        INT             DEFAULT 0       NOT NULL,              
		FPAGINATION                 NVARCHAR(50)    DEFAULT ' '     NOT NULL,    
		FHOURS                      DECIMAL(23,10)  DEFAULT 0       NOT NULL,   
		FREMARKS                    NVARCHAR(255)   DEFAULT ' '     NOT NULL,     
		FISSELECT                   CHAR(1)         DEFAULT '0'     NOT NULL
  );

