﻿EXEC P_ALTERPK 'PK_PMPD_PANELLIST', 'T_PMPD_PANELLIST', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PANELLIST_FMID') CREATE INDEX IDX_PMPD_PANELLIST_FMID ON T_PMPD_PANELLIST (FMANAGEID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PANELLIST_FPID') CREATE INDEX IDX_PMPD_PANELLIST_FPID ON T_PMPD_PANELLIST (FPROJECTID);


EXEC P_ALTERPK 'PK_PMPD_PANELLISTENTRY', 'T_PMPD_PANELLISTENTRY', 'FENTRYID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PANELLISTENTRY_FSEQ') CREATE INDEX IDX_PMPD_PANELLISTENTRY_FSEQ ON T_PMPD_PANELLISTENTRY (FID,FSEQ);


EXEC P_ALTERPK 'PK_PMPD_PANEL_SUBENTRY', 'T_PMPD_PANELLISTSUBENTRY', 'FDETAILID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PANEL_SUBENTRY_FSEQ') CREATE INDEX IDX_PMPD_PANEL_SUBENTRY_FSEQ ON T_PMPD_PANELLISTSUBENTRY (FENTRYID,FSEQ);


EXEC P_ALTERPK 'PK_PMPD_WORKPKGVERSIONRPT', 'T_PMPD_WORKPKGVERSIONRPT', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_WORKPKGVERSIONRPT_MID') CREATE INDEX IDX_PMPD_WORKPKGVERSIONRPT_MID ON T_PMPD_WORKPKGVERSIONRPT (FMANAGEID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_WORKPKGVERSIONRPT_PID') CREATE INDEX IDX_PMPD_WORKPKGVERSIONRPT_PID ON T_PMPD_WORKPKGVERSIONRPT (FPROJECTID);


EXEC P_ALTERPK 'PK_PMPD_VERSIONRPTSUB', 'T_PMPD_VERSIONRPTSUB', 'FDETAILID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_VERSIONRPTSUB_FSEQ') CREATE INDEX IDX_PMPD_VERSIONRPTSUB_FSEQ ON T_PMPD_VERSIONRPTSUB (FENTRYID,FSEQ);

EXEC P_ALTERPK 'PK_PMPD_VERSIONRPTSUB_L', 'T_PMPD_VERSIONRPTSUB_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_VERSIONRPTSUB_L') CREATE INDEX IDX_PMPD_VERSIONRPTSUB_L ON T_PMPD_VERSIONRPTSUB_L (FDETAILID,FLOCALEID);
