
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPROACH')
CREATE TABLE T_PMPD_APPROACH
(
	  FID               BIGINT            DEFAULT 0          NOT NULL,          	
	  FBILLNO           NVARCHAR(30)      DEFAULT ' '        NOT NULL, 	
	  FBILLSTATUS       NVARCHAR(1)       DEFAULT ' '        NOT NULL, 	
	  FCREATORID        BIGINT            DEFAULT 0          NOT NULL,   	
	  FMODIFIERID       BIGINT            DEFAULT 0          NOT NULL,  	
	  FAUDITORID        BIGINT            DEFAULT 0          NOT NULL,   
	  FAUDITDATE        DATETIME,                   	              
	  FMODIFYTIME       DATETIME,                  	
	  FCREATETIME       DATETIME,                  	
	  FORGID            BIGINT            DEFAULT 0          NOT NULL,       	
	  FBILLTYPE         BIGINT            DEFAULT 0          NOT NULL,    	
	  FDEMANDDEPID      BIGINT            DEFAULT 0          NOT NULL, 
	  FAPPLICANTID      BIGINT            DEFAULT 0          NOT NULL, 	
	  FAPPLYDATE        DATETIME,                   	
	  FPROJECTORGID     BIGINT            DEFAULT 0          NOT NULL, 	
	  FCUSTOMERNOID     BIGINT            DEFAULT 0          NOT NULL, 	
	  FREMARK           NVARCHAR(255)     DEFAULT ' '        NOT NULL
);
	

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPROACH_L')
CREATE TABLE T_PMPD_APPROACH_L
(
     FPKID              NVARCHAR(255)     DEFAULT ' '         NOT NULL,          	
     FID                BIGINT            DEFAULT 0           NOT NULL,          	
     FLOCALEID          NVARCHAR(255)     DEFAULT ' '         NOT NULL,          	
     FREMARK            NVARCHAR(255)     DEFAULT ' '         NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPACH_INFO')
CREATE TABLE T_PMPD_APPACH_INFO
(
	  FID                  BIGINT            DEFAULT 0 NOT NULL,          
	  FENTRYID             BIGINT            DEFAULT 0 NOT NULL,     	
	  FSEQ                 INT               DEFAULT 0 NOT NULL,          
	  FDEMANDPLACEID       BIGINT            DEFAULT 0 NOT NULL, 	
	  FEXAMINEREPAIRID     BIGINT            DEFAULT 0 NOT NULL, 	
	  FEXAMINEREPAIRNOID   BIGINT            DEFAULT 0 NOT NULL, 	
	  FEMTIME              DATETIME ,                     
	  FEDTIME              DATETIME ,                    
	  FPROJECTUNIT         NVARCHAR(5)       DEFAULT ' ' NOT NULL, 
	  FPLANCHECKCYCLE      DECIMAL(23,10)    DEFAULT 0 NOT NULL, 	
	  FSOURCEBILLTYPEID    NVARCHAR(255)     DEFAULT ' ' NOT NULL, 
	  FSOURCEBILLNO        BIGINT            DEFAULT 0 NOT NULL
);

