

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_RESOURCECONTRACT')
CREATE TABLE T_PMPD_RESOURCECONTRACT
(
  FID                          BIGINT          DEFAULT 0     NOT NULL,        	
  FENTRYID                     BIGINT          DEFAULT 0     NOT NULL,       	
  FSEQ                         INT             DEFAULT 0     NOT NULL,        	
  FCONTRACTNO                  NVARCHAR(50)    DEFAULT ' '   NOT NULL,	
  FCONTRACTTIME                DATETIME,          
  FCONTRACTNAME                NVARCHAR(50)    DEFAULT ' '   NOT NULL,
  FCONTRACTTYPE                NVARCHAR(50)    DEFAULT ' '   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_RESOURCEPROJECT')
CREATE TABLE T_PMPD_RESOURCEPROJECT
(
  FID                          BIGINT          DEFAULT 0     NOT NULL,       	
  FENTRYID                     BIGINT          DEFAULT 0     NOT NULL,      	
  FSEQ                         INT             DEFAULT 0     NOT NULL,       	
  FPROJCETID                   BIGINT          DEFAULT 0     NOT NULL   
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_RESOURCETIME')
CREATE TABLE T_PMPD_RESOURCETIME
(
  FID                          BIGINT          DEFAULT 0     NOT NULL,      	
  FENTRYID                     BIGINT          DEFAULT 0     NOT NULL,       	
  FSEQ                         INT             DEFAULT 0     NOT NULL,      	
  FSECTIONRESOURCE             BIGINT          DEFAULT 0     NOT NULL,  
  FSECTIONSTARTTIME            DATETIME,
  FSECTIONENDTIME              DATETIME,
  FREALSTARTTIME               DATETIME,
  FREALENDTIME                 DATETIME
);

