
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CUSTOMER_WORKPKG')
 CREATE TABLE T_PMPD_CUSTOMER_WORKPKG (
	FID               BIGINT               DEFAULT 0      NOT NULL,       
	FBILLNO           NVARCHAR(30)         DEFAULT ' '    NOT NULL,       
	FBILLSTATUS       NVARCHAR(50)         DEFAULT ' '    NOT NULL,        
	FCREATORID        BIGINT               DEFAULT 0      NOT NULL,        
	FMODIFIERID       BIGINT               DEFAULT 0      NOT NULL,       
	FAUDITORID        BIGINT               DEFAULT 0      NOT NULL,       
	FAUDITDATE        DATETIME,        
	FMODIFYTIME       DATETIME,        
	FCREATETIME       DATETIME,      
	FORGID            BIGINT               DEFAULT 0      NOT NULL,      
	FCUSTOMERID       BIGINT               DEFAULT 0      NOT NULL,       
	FMODELSID         BIGINT               DEFAULT 0      NOT NULL,        
	FALL              CHAR(1)              DEFAULT '0'    NOT NULL,        
	FPARENTID         BIGINT               DEFAULT 0      NOT NULL,        
	FARRIVEDATETIME   DATETIME,      
	FWRITE            CHAR(1)              DEFAULT '0'    NOT NULL,     
	FREGISTRATIONNO   NVARCHAR(50)         DEFAULT ' '    NOT NULL,       
	FCHECKTYPEID      BIGINT               DEFAULT 0      NOT NULL,        
	FWORKSCOPEID      BIGINT               DEFAULT 0      NOT NULL,       
	FPROJECTORGID     BIGINT               DEFAULT 0      NOT NULL     
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_OFFER_WORKPKG')
 CREATE TABLE T_PMPD_OFFER_WORKPKG (
	FID               BIGINT               DEFAULT 0      NOT NULL,        
	FENTRYID          BIGINT               DEFAULT 0      NOT NULL,        
	FSEQ              INT                  DEFAULT 0      NOT NULL,       
	FPKGNO            NVARCHAR(50)         DEFAULT ' '    NOT NULL,       
	FPKGNAME          NVARCHAR(50)         DEFAULT ' '    NOT NULL,        
	FPKGVERSION       NVARCHAR(50)         DEFAULT ' '    NOT NULL,        
	FPKGCREATETYPE    NVARCHAR(50)         DEFAULT ' '    NOT NULL,       
	FPKGSTATUS        NVARCHAR(50)         DEFAULT ' '    NOT NULL,       
	FPKGDATA          DATETIME,        
	FPKGCREATER       BIGINT               DEFAULT 0      NOT NULL,     
	FPKGCREATEDATE    DATETIME,     
	FPKGMODIFIER      BIGINT               DEFAULT 0      NOT NULL,      
	FPKGMODIFYDATE    DATETIME,      
	FPKGREMARK        NVARCHAR(255)        DEFAULT ' '    NOT NULL,       
	FADDPKGID         BIGINT               DEFAULT 0      NOT NULL,       
	FPKGADDNO         NVARCHAR(50)         DEFAULT ' '    NOT NULL     
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_OFFER_ATTACHMENT')
 CREATE TABLE T_PMPD_OFFER_ATTACHMENT (
	FPKID             BIGINT               DEFAULT 0      NOT NULL,       
	FENTRYID          BIGINT               DEFAULT 0      NOT NULL,      
	FBASEDATAID       BIGINT               DEFAULT 0      NOT NULL        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_EXE_WORKPKG')
 CREATE TABLE T_PMPD_EXE_WORKPKG (
	FID               BIGINT               DEFAULT 0      NOT NULL,     
	FENTRYID          BIGINT               DEFAULT 0      NOT NULL,       
	FSEQ              INT                  DEFAULT 0      NOT NULL,       
	FPKGNO            NVARCHAR(50)         DEFAULT ' '    NOT NULL,        
	FPKGNAME          NVARCHAR(50)         DEFAULT ' '    NOT NULL,       
	FPKGVERSION       NVARCHAR(50)         DEFAULT ' '    NOT NULL,       
	FPKGCREATETYPE    NVARCHAR(50)         DEFAULT ' '    NOT NULL,       
	FPKGDATA          DATETIME,       
	FPKGSTATUS        NVARCHAR(50)         DEFAULT ' '    NOT NULL,     
	FPKGCREATER       BIGINT               DEFAULT 0      NOT NULL,     
	FPKGCREATEDATE    DATETIME,       
	FPKGMODIFIER     BIGINT               DEFAULT 0      NOT NULL,       
	FPKGMODIFYDATE   DATETIME,        
	FEXEPKGREMARK     NVARCHAR(255)        DEFAULT ' '    NOT NULL,       
	FADDPKG           BIGINT               DEFAULT 0      NOT NULL,      
	FPKGADDNO         NVARCHAR(50)         DEFAULT ' '    NOT NULL       
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_EXE_ATTACHMENT')
 CREATE TABLE T_PMPD_EXE_ATTACHMENT (
	FPKID             BIGINT               DEFAULT 0     NOT NULL,        
	FENTRYID          BIGINT               DEFAULT 0     NOT NULL,        
	FBASEDATAID       BIGINT               DEFAULT 0     NOT NULL
);


