IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPSOURCE')
 CREATE TABLE T_PMPD_APPSOURCE (
	FID					BIGINT             DEFAULT 0      NOT NULL, 
	FENTRYID			BIGINT             DEFAULT 0      NOT NULL, 
	FSEQ				BIGINT             DEFAULT 0      NOT NULL, 
	FSOURCEBILLTYPE		NVARCHAR(50)       DEFAULT ' '     NOT NULL,  
	FSOURCEBILL			NVARCHAR(50)       DEFAULT ' '     NOT NULL
);

EXEC P_ALTERPK 'PK_PMPD_APPSOURCE', 'T_PMPD_APPSOURCE', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_APPSOURCE_FS') CREATE INDEX IDX_PMPD_APPSOURCE_FS ON T_PMPD_APPSOURCE ( FID ,FSEQ );




