IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_SPECIALBILL') 
CREATE TABLE T_PMPD_SPECIALBILL
(
	FID									BIGINT               DEFAULT 0   NOT NULL,
	FBILLNO								NVARCHAR(30)         DEFAULT ' ' NOT NULL,
	FSUPPEOPLE							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FSUPCLASS							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FSUPLICENSE						    NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FBILLSTATUS							NVARCHAR(50)         DEFAULT ' ' NOT NULL,
	FCREATORID							BIGINT               DEFAULT 0   NOT NULL,
	FMODIFIERID							BIGINT               DEFAULT 0   NOT NULL,
	FAUDITORID							BIGINT               DEFAULT 0   NOT NULL,
	FAUDITDATE							DATETIME,
	FMODIFYTIME							DATETIME,
	FCREATETIME							DATETIME,
	FORGID								BIGINT               DEFAULT 0   NOT NULL,
	FPROJECTKIND						BIGINT               DEFAULT 0   NOT NULL,
	FCONTRACT							BIGINT               DEFAULT 0   NOT NULL,
	FCUSTOMER							BIGINT               DEFAULT 0   NOT NULL,
	FDEVICE								BIGINT               DEFAULT 0   NOT NULL,
	FLICENSEGROUP						BIGINT               DEFAULT 0   NOT NULL,
	FSUPPORTPROJECT						NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FSUPPORTLOCAL						NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FSUPPORTCONTENT						NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FBEGINDATE						    DATETIME,
	FFINISHDATE						    DATETIME,
	FSIGNTYPE							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FISAPPROVAL							CHAR(1)              DEFAULT '1' NOT NULL,
	FREAMRK								NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FFIXABILITY						    NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FABILITYAPPLY					    NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FUSEREMPOWER					    NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FSKILLSUP							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FQUALITYAUDIT						NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FCUSTOMEREMP1				        NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FREFFILE1					        NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FFIXSIGN						    NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FAPPROVALSUP						NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FUSERSUP							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FSKILLGUIDE							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FCUSTOMEREMP2				        NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FFIXCARD						    NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FFIXCENTER						    NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FREFFILE2					        NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FPEOPLE								NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FTOOL								NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FDEVICES							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FMATERIAL							NVARCHAR(255)        DEFAULT ' ' NOT NULL,
	FPERIOD								NVARCHAR(255)        DEFAULT ' ' NOT NULL
);