﻿EXEC P_ALTERPK 'PK_PMPD_EXEC_PACK_MANAGE', 'T_PMPD_EXEC_PACK_MANAGE', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXEC_PACKMANAGE_FBNO') CREATE INDEX IDX_PMPD_EXEC_PACKMANAGE_FBNO ON T_PMPD_EXEC_PACK_MANAGE (FBILLNO);


EXEC P_ALTERPK 'PK_PMPD_INTERNAL_JOBCARD', 'T_PMPD_INTERNAL_JOBCARD', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_INTERNALJOBCARD_FSEQ') CREATE INDEX IDX_PMPD_INTERNALJOBCARD_FSEQ ON T_PMPD_INTERNAL_JOBCARD  (FID,FSEQ);


EXEC P_ALTERPK 'PK_PMPD_EXEC_WORKPACK', 'T_PMPD_EXEC_WORKPACK', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXEC_WORKPACK_FBNO') CREATE INDEX IDX_PMPD_EXEC_WORKPACK_FBNO ON T_PMPD_EXEC_WORKPACK (FBILLNO);


EXEC P_ALTERPK 'PK_PMPD_EXEC_WORKPACK_L', 'T_PMPD_EXEC_WORKPACK_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXEC_WORKPACK_L') CREATE INDEX IDX_PMPD_EXEC_WORKPACK_L ON T_PMPD_EXEC_WORKPACK_L (FID,FLOCALEID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXEC_WORKPACKNAME') CREATE INDEX IDX_PMPD_EXEC_WORKPACKNAME ON T_PMPD_EXEC_WORKPACK_L (FNAME);


EXEC P_ALTERPK 'PK_PMPD_EXEC_PACK_ENTRY', 'T_PMPD_EXEC_PACK_ENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXEC_PACK_ENTRY_FSEQ') CREATE INDEX IDX_PMPD_EXEC_PACK_ENTRY_FSEQ ON T_PMPD_EXEC_PACK_ENTRY  (FID,FSEQ);


EXEC P_ALTERPK 'PK_PMPD_EXEC_PACK_ENTRY_L', 'T_PMPD_EXEC_PACK_ENTRY_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXEC_PACK_ENTRY_L') CREATE INDEX IDX_PMPD_EXEC_PACK_ENTRY_L ON T_PMPD_EXEC_PACK_ENTRY_L (FENTRYID,FLOCALEID);