﻿EXEC P_ALTERPK 'PK_PMPD_CONTRACTWORKPKG', 'T_PMPD_CONTRACTWORKPKG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CONTRACTWORKPKG_FBNO') CREATE INDEX IDX_PMPD_CONTRACTWORKPKG_FBNO ON T_PMPD_CONTRACTWORKPKG (FBILLNO);


EXEC P_ALTERPK 'PK_PMPD_CONTRACTWORKPKG_L', 'T_PMPD_CONTRACTWORKPKG_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXEC_WORKPACK_L') CREATE INDEX IDX_PMPD_EXEC_WORKPACK_L ON T_PMPD_CONTRACTWORKPKG_L (FID,FLOCALEID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CONTRACTWORKPKGNAME') CREATE INDEX IDX_PMPD_CONTRACTWORKPKGNAME ON T_PMPD_CONTRACTWORKPKG_L (FNAME);


EXEC P_ALTERPK 'PK_PMPD_CON_PACK_ENTRY', 'T_PMPD_CON_PACK_ENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CON_PACK_ENTRY_FSEQ') CREATE INDEX IDX_PMPD_CON_PACK_ENTRY_FSEQ ON T_PMPD_CON_PACK_ENTRY  (FID,FSEQ);


EXEC P_ALTERPK 'PK_PMPD_CON_PACK_ENTRY_L', 'T_PMPD_CON_PACK_ENTRY_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CON_PACK_ENTRY_L') CREATE INDEX IDX_PMPD_CON_PACK_ENTRY_L ON T_PMPD_CON_PACK_ENTRY_L (FENTRYID,FLOCALEID);


EXEC P_ALTERPK 'PK_PMPD_DIFF_REPORT', 'T_PMPD_DIFF_REPORT', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DIFF_REPORT_FBID') CREATE INDEX IDX_PMPD_DIFF_REPORT_FBID ON T_PMPD_DIFF_REPORT (FWORKPACKAGEID);


EXEC P_ALTERPK 'PK_PMPD_DIFF_REPORT_ENTRY', 'T_PMPD_DIFF_REPORT_ENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DIFF_REPORT_EFSEQ') CREATE INDEX IDX_PMPD_DIFF_REPORT_EFSEQ ON T_PMPD_DIFF_REPORT_ENTRY  (FID,FSEQ);