﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_MANAGE' AND KSQL_COL_NAME ='FCUSTOMERWORKPKGMANAGENO')
 ALTER TABLE T_PMPD_EXEC_PACK_MANAGE ADD ( FCUSTOMERWORKPKGMANAGENO NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_MANAGE' AND KSQL_COL_NAME ='FCUSTOMERWORKPKGMANAGEID')
 ALTER TABLE T_PMPD_EXEC_PACK_MANAGE ADD ( FCUSTOMERWORKPKGMANAGEID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_WORKPACK' AND KSQL_COL_NAME ='FCONTRACTID')
 ALTER TABLE T_PMPD_EXEC_WORKPACK ADD ( FCONTRACTID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_WORKPACK' AND KSQL_COL_NAME ='FSUPPLEMENT')
 ALTER TABLE T_PMPD_EXEC_WORKPACK ADD ( FSUPPLEMENT NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_WORKPACK' AND KSQL_COL_NAME ='FVERSION')
 ALTER TABLE T_PMPD_EXEC_WORKPACK ADD ( FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_WORKPACK' AND KSQL_COL_NAME ='FTYPE')
 ALTER TABLE T_PMPD_EXEC_WORKPACK ADD ( FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FCUSTOMERJOBCARDNO')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FCUSTOMERJOBCARDNO NVARCHAR(80) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FCUSTOMERJOBCARDVERSION')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FCUSTOMERJOBCARDVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FCUSTOMERJOBCARDSTATUS')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FCUSTOMERJOBCARDSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FISMULTIPAGE')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FISMULTIPAGE CHAR(1) DEFAULT '0' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FPAGINATION')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FPAGINATION NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FISFIRSTEXECUTE')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FISFIRSTEXECUTE CHAR(1) DEFAULT '0' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FPROGRAMNO')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FPROGRAMNO NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FJOBCARDTITLE')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FJOBCARDTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FWORKCATEGORYID')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FWORKCATEGORYID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY' AND KSQL_COL_NAME ='FAUXILIARYCODE')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY ADD ( FAUXILIARYCODE NVARCHAR(80) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_PACK_ENTRY_L' AND KSQL_COL_NAME ='FJOBCARDTITLE')
 ALTER TABLE T_PMPD_EXEC_PACK_ENTRY_L ADD ( FJOBCARDTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CONTRACTWORKPKG') 
CREATE TABLE T_PMPD_CONTRACTWORKPKG (
    FID                         BIGINT             DEFAULT 0      NOT NULL,              
    FBILLNO                     NVARCHAR(30)       DEFAULT ' '    NOT NULL,      
    FBILLSTATUS                 NVARCHAR(50)       DEFAULT ' '    NOT NULL,     
    FCREATORID                  BIGINT             DEFAULT 0      NOT NULL,              
    FMODIFIERID                 BIGINT             DEFAULT 0      NOT NULL,              
    FAUDITORID                  BIGINT             DEFAULT 0      NOT NULL,              
    FCREATETIME                 DATETIME,                               
    FMODIFYTIME                 DATETIME,                               
    FAUDITDATE                  DATETIME,                              
    FORGID                      BIGINT             DEFAULT 0      NOT NULL,              
    FNAME                       NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
    FCONTRACTNO                 NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
    FMANAGEID                   BIGINT             DEFAULT 0      NOT NULL,             
    FCONTRACTID                 BIGINT             DEFAULT 0      NOT NULL,              
    FSUPPLEMENT                 NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
    FVERSION                    NVARCHAR(50)       DEFAULT ' '    NOT NULL,    
    FTYPE                       NVARCHAR(50)       DEFAULT ' '    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CONTRACTWORKPKG_L') 
CREATE TABLE T_PMPD_CONTRACTWORKPKG_L (
    FPKID                       NVARCHAR(36)       DEFAULT ' '    NOT NULL, 
    FID                         BIGINT             DEFAULT 0      NOT NULL,             
	FLOCALEID                   NVARCHAR(10)       DEFAULT ' '    NOT NULL,     
    FNAME                       NVARCHAR(50)       DEFAULT ' '    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CON_PACK_ENTRY') 
CREATE TABLE T_PMPD_CON_PACK_ENTRY (
    FENTRYID                    BIGINT             DEFAULT 0      NOT NULL,            
    FID                         BIGINT             DEFAULT 0      NOT NULL,            
	FSEQ                        INT                DEFAULT 0      NOT NULL,               
    FJOBNO                      NVARCHAR(50)       DEFAULT ' '    NOT NULL,   
    FJOBCARDID                  BIGINT             DEFAULT 0      NOT NULL,              
    FREMARKS                    NVARCHAR(255)      DEFAULT ' '    NOT NULL,     
    FCREATORID                  BIGINT             DEFAULT 0      NOT NULL,            
    FMODIFIERID                 BIGINT             DEFAULT 0      NOT NULL,           
    FCREATETIME                 DATETIME,                             
    FMODIFYTIME                 DATETIME,                          
    FCATEGORY                   NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
    FCUSTOMERJOBCARDNO          NVARCHAR(80)       DEFAULT ' '    NOT NULL,    
    FCUSTOMERJOBCARDVERSION     NVARCHAR(50)       DEFAULT ' '    NOT NULL,     
    FCUSTOMERJOBCARDSTATUS      NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
    FCONTRACTNO                 NVARCHAR(50)       DEFAULT ' '    NOT NULL,     
    FCONTRACTID                 BIGINT             DEFAULT 0      NOT NULL,          
    FISMULTIPAGE                CHAR(1)            DEFAULT '0'    NOT NULL,          
    FPAGINATION                 NVARCHAR(50)       DEFAULT ' '    NOT NULL,     
    FISCONTRACTWORKPACK         CHAR(1)            DEFAULT '0'    NOT NULL,          
    FPROGRAMNO                  NVARCHAR(50)       DEFAULT ' '    NOT NULL,     
    FJOBCARDTITLE               NVARCHAR(255)      DEFAULT ' '    NOT NULL,  
    FWORKCATEGORYID             BIGINT             DEFAULT 0      NOT NULL,              
    FAUXILIARYCODE              NVARCHAR(80)       DEFAULT ' '    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CON_PACK_ENTRY_L') 
CREATE TABLE T_PMPD_CON_PACK_ENTRY_L (
    FPKID                       NVARCHAR(36)       DEFAULT ' '    NOT NULL,    
    FENTRYID                    BIGINT             DEFAULT 0      NOT NULL,            
	FLOCALEID                   NVARCHAR(10)       DEFAULT ' '    NOT NULL,      
    FREMARKS                    NVARCHAR(255)      DEFAULT ' '    NOT NULL,    
    FJOBCARDTITLE               NVARCHAR(255)      DEFAULT ' '    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_DIFF_REPORT') 
CREATE TABLE T_PMPD_DIFF_REPORT (
    FID                         BIGINT             DEFAULT 0      NOT NULL,             
    FCUSTOMERJOBCARDNO          NVARCHAR(80)       DEFAULT ' '    NOT NULL,    
    FCUSTOMERJOBCARDVERSION     NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
	FDIFFERENCETYPE             NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
	FWORKPACKAGEID              BIGINT             DEFAULT 0      NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_DIFF_REPORT_ENTRY') 
CREATE TABLE T_PMPD_DIFF_REPORT_ENTRY (
    FENTRYID                    BIGINT             DEFAULT 0      NOT NULL,           
    FID                         BIGINT             DEFAULT 0      NOT NULL,             
	FSEQ                        INT                DEFAULT 0      NOT NULL,              
    FJOBCARDID                  BIGINT             DEFAULT 0      NOT NULL,            
    FCUSTOMERJOBCARDVERSION     NVARCHAR(50)       DEFAULT ' '    NOT NULL,  
    FISSELECT                   CHAR(1)            DEFAULT '0'    NOT NULL
);





