﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PANEL_JOBCARD')
CREATE TABLE T_PMPD_PANEL_JOBCARD (
    FENTRYID                    BIGINT           DEFAULT 0     NOT NULL,          
    FID                         BIGINT           DEFAULT 0     NOT NULL,             
	FSEQ                        INT              DEFAULT 0     NOT NULL,                
    FJOBNO                      NVARCHAR(50)     DEFAULT ' '   NOT NULL,     
    FJOBCARDID                  BIGINT           DEFAULT 0     NOT NULL,             
    FPROJECTID                  BIGINT           DEFAULT 0     NOT NULL,            
    FJOBID                      BIGINT           DEFAULT 0     NOT NULL,            
    FPROCESSGROUPID             BIGINT           DEFAULT 0     NOT NULL,             
    FWORKHOURS                  DECIMAL(23,10)   DEFAULT 0     NOT NULL
);

EXEC P_ALTERPK 'PK_PMPD_PANEL_JOBCARD', 'T_PMPD_PANEL_JOBCARD', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PANEL_JOBCARD_FSEQ') CREATE INDEX IDX_PMPD_PANEL_JOBCARD_FSEQ ON T_PMPD_PANEL_JOBCARD (FID,FSEQ);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_WORKPACK' AND KSQL_COL_NAME ='FGENERATEDPANELJOBCARD')
 ALTER TABLE T_PMPD_EXEC_WORKPACK ADD ( FGENERATEDPANELJOBCARD  CHAR(1) DEFAULT '0' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_EXEC_WORKPACK' AND KSQL_COL_NAME ='FMANAGEID')
 ALTER TABLE T_PMPD_EXEC_WORKPACK ADD ( FMANAGEID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_CONTRACTWORKPKG' AND KSQL_COL_NAME ='FMANAGEID')
 ALTER TABLE T_PMPD_CONTRACTWORKPKG ADD ( FMANAGEID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_INTERNAL_JOBCARD' AND KSQL_COL_NAME ='FJOBID')
 ALTER TABLE T_PMPD_INTERNAL_JOBCARD ADD ( FJOBID  BIGINT DEFAULT 0 NOT NULL);

 


 








