﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_VERSION_REPORT')
  CREATE TABLE T_PMPD_VERSION_REPORT (
    FID                         BIGINT         DEFAULT 0      NOT NULL,      
    FMANAGEID                   BIGINT         DEFAULT 0      NOT NULL,          
	FCUSTOMERJOBCARDSTATUS      NVARCHAR(50)   DEFAULT ' '    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_VERSIONRPTENTRY')
CREATE TABLE T_PMPD_VERSIONRPTENTRY (
    FENTRYID                    BIGINT          DEFAULT 0     NOT NULL,       
    FID                         BIGINT          DEFAULT 0     NOT NULL,            
	FSEQ                        INT             DEFAULT 0     NOT NULL,              
    FJOBCARDID                  BIGINT          DEFAULT 0     NOT NULL,             
    FCUSTOMERJOBCARDNO          NVARCHAR(80)    DEFAULT ' '   NOT NULL,     
    FCUSTOMERJOBCARDVERSION     NVARCHAR(50)    DEFAULT ' '   NOT NULL,    
    FPROCESSRESULT              NVARCHAR(255)   DEFAULT ' '   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_VERSIONRPTENTRY_L')
CREATE TABLE T_PMPD_VERSIONRPTENTRY_L (
    FPKID                       NVARCHAR(36)    DEFAULT ' '   NOT NULL,   
    FENTRYID                    BIGINT          DEFAULT 0     NOT NULL,           
    FLOCALEID                   NVARCHAR(10)    DEFAULT ' '   NOT NULL,      
    FPROCESSRESULT              NVARCHAR(255)   DEFAULT ' '   NOT NULL
);


