﻿EXEC P_ALTERPK 'PK_PMPD_APPROACHLISGROUP', 'T_PMPD_APPROACHLISGROUP', 'FPKID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_APPROACHLISGROUP_FEID') CREATE INDEX IDX_PMPD_APPROACHLISGROUP_FEID ON T_PMPD_APPROACHLISGROUP (FENTRYID);


EXEC P_ALTERPK 'PK_PMPD_RESPLANLISGROUP', 'T_PMPD_RESPLANLISGROUP', 'FPKID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESPLANLISGROUP_FID') CREATE INDEX IDX_PMPD_RESPLANLISGROUP_FID ON T_PMPD_RESPLANLISGROUP (FID);


EXEC P_ALTERPK 'PK_PMPD_PROFESSIONARELA', 'T_PMPD_PROFESSIONARELA', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PROFESSIONARELA_FNO') CREATE INDEX IDX_PMPD_PROFESSIONARELA_FNO ON T_PMPD_PROFESSIONARELA (FBILLNO);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PROFESSIONARELA_FCT') CREATE INDEX IDX_PMPD_PROFESSIONARELA_FCT ON T_PMPD_PROFESSIONARELA (FCREATETIME);


EXEC P_ALTERPK 'PK_PMPD_WORKHOURRPT_IND', 'T_PMPD_WORKHOURRPT_IND', 'FENTRYID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_WORKHOURRPT_IND_FSEQ') CREATE INDEX IDX_PMPD_WORKHOURRPT_IND_FSEQ ON T_PMPD_WORKHOURRPT_IND (FID,FSEQ);


EXEC P_ALTERPK 'PK_PMPD_WORKHOURRPT_DAY', 'T_PMPD_WORKHOURRPT_DAY', 'FDETAILID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_WORKHOURRPT_DAY_FSEQ') CREATE INDEX IDX_PMPD_WORKHOURRPT_DAY_FSEQ ON T_PMPD_WORKHOURRPT_DAY (FENTRYID,FSEQ);


EXEC P_ALTERPK 'PK_PMPD_WORKHOURRPT_TDAY', 'T_PMPD_WORKHOURRPT_TDAY', 'FENTRYID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_WORKHOURRPT_TDAY_FSEQ') CREATE INDEX IDX_PMPD_WORKHOURRPT_TDAY_FSEQ ON T_PMPD_WORKHOURRPT_TDAY (FID,FSEQ);