﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MTCQTYSET')
 CREATE TABLE T_PMPD_MTCQTYSET (
	  FID	         BIGINT 	    DEFAULT 0       NOT NULL,          
	  FNUMBER        NVARCHAR(30)   DEFAULT ' '     NOT NULL, 	
	  FSTATUS        NVARCHAR(1)    DEFAULT ' '     NOT NULL, 	
	  FCREATORID     BIGINT	        DEFAULT 0       NOT NULL,   	
	  FMODIFIERID    BIGINT         DEFAULT 0       NOT NULL,  
	  FENABLE        NVARCHAR(1)    DEFAULT ' '     NOT NULL, 	
	  FCREATETIME    DATETIME ,                  
	  FMODIFYTIME    DATETIME ,                  	
	  FMASTERID      BIGINT         DEFAULT 0       NOT NULL,    	
	  FNAME          NVARCHAR(50)   DEFAULT ' '     NOT NULL	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MTCQTYSET_L')
 CREATE TABLE T_PMPD_MTCQTYSET_L (
	  FPKID          NVARCHAR(255)    DEFAULT ' '   NOT NULL,        
	  FID            BIGINT           DEFAULT 0     NOT NULL,          	
	  FLOCALEID      NVARCHAR(255)    DEFAULT ' '   NOT NULL,          
	  FNAME          NVARCHAR(50)     DEFAULT ' '   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MTCQTYENTRY')
 CREATE TABLE T_PMPD_MTCQTYENTRY (
	  FID            BIGINT           DEFAULT 0     NOT NULL,          
	  FENTRYID       BIGINT           DEFAULT 0     NOT NULL,     	
	  FSEQ           INT              DEFAULT 0     NOT NULL,            
	  FBODYTYPEID    BIGINT           DEFAULT 0     NOT NULL,  	
	  FCOEFFICIENT   DECIMAL(23,10)   DEFAULT 0     NOT NULL	  
);






