IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_RSPLANRECORD')
CREATE TABLE T_PMPD_RSPLANRECORD
(
  FID                  BIGINT           DEFAULT 0   NOT NULL,          
  FBILLNO              NVARCHAR(30)     DEFAULT ' ' NOT NULL, 
  FBILLSTATUS          NVARCHAR(1)      DEFAULT ' ' NOT NULL, 	
  FCREATORID           BIGINT           DEFAULT 0   NOT NULL,   	
  FMODIFIERID          BIGINT           DEFAULT 0   NOT NULL,  	
  FAUDITORID           BIGINT           DEFAULT 0   NOT NULL,   	
  FAUDITDATE           DATETIME ,                   
  FMODIFYTIME          DATETIME ,                  
  FCREATETIME          DATETIME ,                 
  FORGID               BIGINT           DEFAULT 0   NOT NULL,       
  FADJUSTTIME          DATETIME ,                  
  FADJUSTRESULT        NVARCHAR(255)    DEFAULT ' ' NOT NULL, 	
  FADJUSTRESULT_TAG    NCLOB , 	
  FCUSTOMERID          BIGINT           DEFAULT 0   NOT NULL,  
  FOVERDEVICEID        BIGINT           DEFAULT 0   NOT NULL, 	
  FMODELID             BIGINT           DEFAULT 0   NOT NULL,     
  FWORKCENTERID        BIGINT           DEFAULT 0   NOT NULL, 	
  FWORKSCOPEID         BIGINT           DEFAULT 0   NOT NULL, 	
  FFIXLEVELID          BIGINT           DEFAULT 0   NOT NULL,  	
  FESTIAPPROACHTIME    DATETIME ,            	
  FESTIDEPARTTIME      DATETIME ,              
  FREPAIRCYCLE         DECIMAL(23,10)   DEFAULT 0   NOT NULL, 
  FPREAPPROACHTIME     DATETIME ,             
  FPREDEPARTTIME       DATETIME ,               	
  FWORKREPAIRCYCLE     DECIMAL(23,10)   DEFAULT 0   NOT NULL, 	
  FRESOURCEPLANNO      NVARCHAR(50)     DEFAULT ' ' NOT NULL, 	
  FRESOURCEPLANID      BIGINT           DEFAULT 0   NOT NULL, 	
  FREMARK              NVARCHAR(255)    DEFAULT ' ' NOT NULL, 
  FREMARK_TAG          NCLOB
);